commit: 44641cc66e57405252f89266a96cf7a86c9eafd4
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 20 19:19:20 2021 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Oct 20 19:21:01 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=44641cc6
dev-python/seaborn: add 0.11.2, enable py3.10
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/seaborn/Manifest | 1 +
dev-python/seaborn/seaborn-0.11.2.ebuild | 33 ++++++++++++++++++++++++++++++++
2 files changed, 34 insertions(+)
diff --git a/dev-python/seaborn/Manifest b/dev-python/seaborn/Manifest
index 0878fd4b2ba..13cbde5f79e 100644
--- a/dev-python/seaborn/Manifest
+++ b/dev-python/seaborn/Manifest
@@ -1 +1,2 @@
DIST seaborn-0.11.1.tar.gz 261397 BLAKE2B
b281da14eea5e9038af0d79ed07531d0006294d63ff4cabc308a460f1107a7d045793383d200dd2dd63e18b43cea838dfe245b675dbc5c308960c105348e5e26
SHA512
ea33cfdad8c01986291e07b906011f4104995f26a88b2775e155fe4abc28f6f5e224b15d4150a246ef1e134d72bd3dc6f534f7c0d370ca99d5f15cd84e10ccde
+DIST seaborn-0.11.2.tar.gz 268839 BLAKE2B
b1ba3a76431843921f01f714e601ebe7ed87a8c4136acb65a7cdb89059d67cb136484cb968efd713a5260caa552673efd5d06898a69624b36311fd3908f00179
SHA512
f08fe82b4ecca2b140a953c89bb7f811255d00ec819225809bb224aadde161ddabdeaf5cab53e3558bb84334cee828baafe0ee5efe465e80875a0513fb1ab9ac
diff --git a/dev-python/seaborn/seaborn-0.11.2.ebuild
b/dev-python/seaborn/seaborn-0.11.2.ebuild
new file mode 100644
index 00000000000..16a60458404
--- /dev/null
+++ b/dev-python/seaborn/seaborn-0.11.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Statistical data visualization"
+HOMEPAGE="https://seaborn.pydata.org https://github.com/mwaskom/seaborn"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/statsmodels[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+"
+BDEPEND="test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+
+python_test() {
+ cat > matplotlibrc <<- EOF || die
+ backend : Agg
+ EOF
+ epytest
+}